Subject: Re: bug#12068: 24.1; customizing debug-on-error to nil disables --debug-init

From: Glenn Morris <[email-masked]>
Date: Thu, 02 Aug 2012 19:16:54 -0400

Dave Abrahams wrote:

> If you happen to customize debug-on-error to nil and save it, and then
> something goes wrong at startup, running emacs with --debug-init has no
> apparent effect and you're stuck (at least, once the customizations have
> been read in). 

I cannot reproduce this, and there is code in startup.el to handle this.

I tried:

cat ~/.emacs

(error "foo")

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(debug-on-error nil))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )

If I use:

emacs --debug-init, I end up in the debugger's backtrace buffer.